
  CREATE OR REPLACE FORCE EDITIONABLE VIEW "IGOPS"."SUSER_DATA_UPDATE_V" ("CUR_ID", "COL_ID", "CUR_TIME", "CUR_DELETED", "COL_DELETED", "CUR_DEPARTMENT", "COL_DEPARTMENT", "CUR_DISPLAY_DESCRIPTION", "COL_DISPLAY_DESCRIPTION", "CUR_DISPLAY_NAME", "COL_DISPLAY_NAME", "CUR_DN", "COL_DN", "CUR_EFFECTIVE", "COL_EFFECTIVE", "CUR_EMAIL", "COL_EMAIL", "CUR_EMPLOYEE_STATUS", "COL_EMPLOYEE_STATUS", "CUR_EMPLOYEE_TYPE", "COL_EMPLOYEE_TYPE", "CUR_FIRST_NAME", "COL_FIRST_NAME", "CUR_FULL_NAME", "COL_FULL_NAME", "CUR_GUID", "COL_GUID", "CUR_HOME_PHONE", "COL_HOME_PHONE", "CUR_IDM_DN", "COL_IDM_DN", "CUR_IDM_TREE_NAME", "COL_IDM_TREE_NAME", "CUR_IS_CURATED", "COL_IS_CURATED", "CUR_JOB_CODE", "COL_JOB_CODE", "CUR_JOB_TITLE", "COL_JOB_TITLE", "CUR_LAST_NAME", "COL_LAST_NAME", "CUR_LOCATION", "COL_LOCATION", "CUR_MERGED", "COL_MERGED", "CUR_MIDDLE_NAME", "COL_MIDDLE_NAME", "CUR_OFFICE_PHONE", "COL_OFFICE_PHONE", "CUR_OTHER_PHONE", "COL_OTHER_PHONE", "CUR_PREFERRED_LOCALE", "COL_PREFERRED_LOCALE", "CUR_PROVISIONING_ID", "COL_PROVISIONING_ID", "CUR_RISK", "COL_RISK", "CUR_SECONDARY_SUPERVISOR_ID", "COL_SECONDARY_SUPERVISOR_ID", "CUR_SUPERVISOR_ATTR", "COL_SUPERVISOR_ATTR", "CUR_SUPERVISOR_ID", "COL_SUPERVISOR_ID", "CUR_SUPERVISOR_UNIQUE_ID", "COL_SUPERVISOR_UNIQUE_ID", "CUR_SUPERVISOR_NAME", "COL_SUPERVISOR_NAME", "CUR_UNIQUE_USER_ID", "COL_UNIQUE_USER_ID", "CUR_USER_ID", "COL_USER_ID", "CUR_BUSINESS_UNIT", "COL_BUSINESS_UNIT", "CUR_COLLECTED_ENTITY", "COL_COLLECTED_ENTITY", "CUR_EFFECTIVE_ENTITY", "COL_EFFECTIVE_ENTITY", "CUR_IDENTITY_SOURCE", "COL_IDENTITY_SOURCE", "CUR_SVERSION", "COL_SVERSION", "CUR_WORKFORCE_ID", "COL_WORKFORCE_ID", "CUR_PHOTO_URI", "COL_PHOTO_URI", "CUR_PHOTO_FORMAT", "COL_PHOTO_FORMAT", "CUR_PHOTO_RECORD", "COL_PHOTO_RECORD", "IDENTITY_SOURCE_NAME", "CUR_AFFILIATED_ID", "COL_AFFILIATED_ID", "CURATED", "COLLECTED") AS 
  SELECT DISTINCT
  su.id cur_id,
  sus.id col_id,
  MAX(ec.timestamp) cur_time,
  su.deleted cur_deleted,
  sus.deleted col_deleted,
  su.department cur_department,
  sus.department col_department,
  su.display_description cur_display_description,
  sus.display_description col_display_description,
  su.display_name cur_display_name,
  sus.display_name col_display_name,
  su.dn cur_dn,
  sus.dn col_dn,
  su.effective cur_effective,
  sus.effective col_effective,
  su.email cur_email,
  semail.email col_email,
  su.employee_status cur_employee_status,
  sus.employee_status col_employee_status,
  su.employee_type cur_employee_type,
  sus.employee_type col_employee_type,
  su.first_name cur_first_name,
  sus.first_name col_first_name,
  su.full_name cur_full_name,
  sus.full_name col_full_name,
  su.guid cur_guid,
  sus.guid col_guid,
  su.home_phone cur_home_phone,
  sus.home_phone col_home_phone,
  su.idm_dn cur_idm_dn,
  sus.idm_dn col_idm_dn,
  su.idm_tree_name cur_idm_tree_name,
  sus.idm_tree_name col_idm_tree_name,
  su.is_curated cur_is_curated,
  sus.is_curated col_is_curated,
  su.job_code cur_job_code,
  sus.job_code col_job_code,
  su.job_title cur_job_title,
  sus.job_title col_job_title,
  su.last_name cur_last_name,
  sus.last_name col_last_name,
  su.location cur_location,
  sus.location col_location,
  su.merged cur_merged,
  sus.merged col_merged,
  su.middle_name cur_middle_name,
  sus.middle_name col_middle_name,
  su.office_phone cur_office_phone,
  sus.office_phone col_office_phone,
  su.other_phone cur_other_phone,
  sus.other_phone col_other_phone,
  su.preferred_locale cur_preferred_locale,
  sus.preferred_locale col_preferred_locale,
  su.provisioning_id cur_provisioning_id,
  sus.provisioning_id col_provisioning_id,
  su.risk cur_risk,
  sus.risk col_risk,
  su.secondary_supervisor_id cur_secondary_supervisor_id,
  sus.secondary_supervisor_id col_secondary_supervisor_id,
  su.supervisor_attr_key cur_supervisor_attr,
  sus.supervisor_attr_key col_supervisor_attr,
  su.supervisor_id cur_supervisor_id,
  sus.supervisor_id col_supervisor_id,
  su.supervisor_unique_id cur_supervisor_unique_id,
  sus.supervisor_unique_id col_supervisor_unique_id,
  (SELECT soup.display_name
           FROM suser soup
          WHERE TO_CHAR(su.supervisor_unique_id) = TO_CHAR(soup.unique_user_id) AND ROWNUM <=1 AND soup.effective = 1)  cur_supervisor_name,
  ( SELECT soup.display_name
           FROM suser soup
          WHERE TO_CHAR(sus.supervisor_unique_id) = TO_CHAR(soup.unique_user_id) AND ROWNUM <=1 AND soup.effective = 1) col_supervisor_name,
  su.unique_user_id cur_unique_user_id,
  sus.unique_user_id col_unique_user_id,
  su.user_id cur_user_id,
  sus.user_id col_user_id,
  su.business_unit cur_business_unit,
  sus.business_unit col_business_unit,
  su.collected_entity cur_collected_entity,
  sus.collected_entity col_collected_entity,
  su.effective_entity cur_effective_entity,
  sus.effective_entity col_effective_entity,
  su.identity_source cur_identity_source,
  sus.identity_source col_identity_source,
  su.sversion cur_sversion,
  sus.sversion col_sversion,
  su.workforce_id cur_workforce_id,
  sus.workforce_id col_workforce_id,
  su.photo_uri cur_photo_uri,
  sus.photo_uri col_photo_uri,
  su.photo_format cur_photo_format,
  sus.photo_format col_photo_format,
  su.photo_record cur_photo_record,
  sus.photo_record col_photo_record,
  su.identity_source_name,
  su.affiliated_id cur_affiliated_id,
  sus.affiliated_id col_affiliated_id,
  (SELECT COUNT(suser.unique_user_id) count
    FROM suser
    WHERE suser.deleted = 0 AND suser.is_curated = 1) AS curated,
  (SELECT COUNT(suser.unique_user_id) AS count
    FROM suser
    WHERE suser.deleted = 0 AND suser.is_curated = 0 AND suser.effective = 1) AS collected
  FROM
    (SELECT DISTINCT suser.id,
      suser.deleted,
      suser.department,
      suser.display_description,
      suser.display_name,
      suser.dn,
      suser.effective,
      suser.employee_status,
      suser.employee_type,
      suser.first_name,
      suser.full_name,
      suser.guid,
      suser.home_phone,
      suser.idm_dn,
      suser.idm_tree_name,
      suser.is_curated,
      suser.job_code,
      suser.job_title,
      suser.last_name,
      suser.location,
      suser.merged,
      suser.middle_name,
      suser.office_phone,
      suser.other_phone,
      suser.preferred_locale,
      suser.provisioning_id,
      suser.secondary_supervisor_id,
      suser.supervisor_attr_key,
      suser.supervisor_id,
      suser.supervisor_unique_id,
      suser.unique_user_id,
      suser.user_id,
      suser.business_unit,
      suser.collected_entity,
      suser.effective_entity,
      suser.identity_source,
      suser.sversion,
      suser.workforce_id,
      suser.photo_uri,
      suser.photo_format,
      suser.photo_record,
      suser.risk,
      ds.name AS identity_source_name,
      LISTAGG((TO_CHAR(se.email)), ' | ') WITHIN GROUP (ORDER BY se.email) email,
      suser.affiliated_id
     FROM suser
       LEFT JOIN data_source ds ON suser.identity_source = ds.id
       LEFT JOIN suser_email se ON suser.id = se.suser
      WHERE suser.is_curated = 1 
      GROUP BY suser.id, suser.deleted, suser.department, suser.display_description, suser.display_name, suser.dn, suser.effective, suser.employee_status, suser.employee_type, suser.first_name, suser.full_name, suser.guid, suser.home_phone, suser.idm_dn, suser.idm_tree_name, suser.is_curated, suser.job_code, suser.job_title, suser.last_name, suser.location, suser.merged, suser.middle_name, suser.office_phone, suser.other_phone, suser.preferred_locale, suser.provisioning_id, suser.secondary_supervisor_id, suser.supervisor_attr_key, suser.supervisor_id, suser.supervisor_unique_id, suser.unique_user_id, suser.user_id, suser.business_unit, suser.collected_entity, suser.effective_entity, suser.identity_source, suser.sversion, suser.workforce_id, suser.photo_uri, suser.photo_format, suser.photo_record, suser.risk, ds.name, suser.affiliated_id
      ORDER BY suser.effective) su
  LEFT JOIN suser sus2 ON TO_CHAR(sus2.unique_user_id) = TO_CHAR(su.unique_user_id) AND sus2.effective = 1
  LEFT JOIN suser sus ON sus.collected_entity = sus2.collected_entity AND sus.effective = 0
  LEFT JOIN suser_email semail ON semail.suser = sus.id
  LEFT JOIN entity_change ec ON TO_CHAR(ec.unique_id) = TO_CHAR(su.unique_user_id) AND TO_CHAR(ec.change_type) = TO_CHAR('ALTERED')
  LEFT JOIN suser sus ON sus.collected_entity = sus2.collected_entity AND sus.effective = 0
  LEFT JOIN entity_photo ep ON ep.id = su.photo_record
  GROUP BY su.id, sus.id, su.deleted, sus.deleted, su.department, sus.department, su.display_description, sus.display_description, su.display_name, sus.display_name, su.dn, sus.dn, su.effective, sus.effective, su.email, semail.email, su.employee_status, sus.employee_status, su.employee_type, sus.employee_type, su.first_name, sus.first_name, su.full_name, sus.full_name, su.guid, sus.guid, su.home_phone, sus.home_phone, su.idm_dn, sus.idm_dn, su.idm_tree_name, sus.idm_tree_name, su.is_curated, sus.is_curated, su.job_code, sus.job_code, su.job_title, sus.job_title, su.last_name, sus.last_name, su.location, sus.location, su.merged, sus.merged, su.middle_name, sus.middle_name, su.office_phone, sus.office_phone, su.other_phone, sus.other_phone, su.preferred_locale, sus.preferred_locale, su.provisioning_id, sus.provisioning_id, su.risk, sus.risk, su.secondary_supervisor_id, sus.secondary_supervisor_id, su.supervisor_attr_key, sus.supervisor_attr_key, su.supervisor_id, sus.supervisor_id, su.supervisor_unique_id, sus.supervisor_unique_id, su.unique_user_id, sus.unique_user_id, su.user_id, sus.user_id, su.business_unit, sus.business_unit, su.collected_entity, sus.collected_entity, su.effective_entity, sus.effective_entity, su.identity_source, sus.identity_source, su.sversion, sus.sversion, su.workforce_id, sus.workforce_id, su.photo_uri, sus.photo_uri, su.photo_format, sus.photo_format, su.photo_record, sus.photo_record, su.identity_source_name, su.affiliated_id, sus.affiliated_id;

  GRANT SELECT ON igops.SUSER_DATA_UPDATE_V TO igrptuser;
CREATE OR REPLACE PUBLIC SYNONYM SUSER_DATA_UPDATE_V for igops.SUSER_DATA_UPDATE_V;